Package org.w3._2000._09.xmldsig

# Class ObjectFactory

java.lang.Object
org.w3._2000._09.xmldsig.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the org.w3._2000._09.xmldsig package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.w3._2000._09.xmldsig

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CanonicalizationMethod`
  `createCanonicalizationMethod()`
  Create an instance of `CanonicalizationMethod`
  `DigestMethod`
  `createDigestMethod()`
  Create an instance of `DigestMethod`
  `jakarta.xml.bind.JAXBElement<byte[]>`
  `createDigestValue(byte[] value)`
  Create an instance of `JAXBElement``<`
  invalid reference

      byte[]

  `>`
  `DSAKeyValue`
  `createDSAKeyValue()`
  Create an instance of `DSAKeyValue`
  `KeyInfo`
  `createKeyInfo()`
  Create an instance of `KeyInfo`
  `jakarta.xml.bind.JAXBElement<String>`
  `createKeyName(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `KeyValue`
  `createKeyValue()`
  Create an instance of `KeyValue`
  `Manifest`
  `createManifest()`
  Create an instance of `Manifest`
  `jakarta.xml.bind.JAXBElement<String>`
  `createMgmtData(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `Object`
  `createObject()`
  Create an instance of `Object`
  `PGPData`
  `createPGPData()`
  Create an instance of `PGPData`
  `Reference`
  `createReference()`
  Create an instance of `Reference`
  `RetrievalMethod`
  `createRetrievalMethod()`
  Create an instance of `RetrievalMethod`
  `RSAKeyValue`
  `createRSAKeyValue()`
  Create an instance of `RSAKeyValue`
  `Signature`
  `createSignature()`
  Create an instance of `Signature`
  `SignatureMethod`
  `createSignatureMethod()`
  Create an instance of `SignatureMethod`
  `jakarta.xml.bind.JAXBElement<BigInteger>`
  `createSignatureMethodHMACOutputLength(BigInteger value)`
  Create an instance of `JAXBElement``<``BigInteger``>`
  `SignatureProperties`
  `createSignatureProperties()`
  Create an instance of `SignatureProperties`
  `SignatureProperty`
  `createSignatureProperty()`
  Create an instance of `SignatureProperty`
  `SignatureValue`
  `createSignatureValue()`
  Create an instance of `SignatureValue`
  `SignedInfo`
  `createSignedInfo()`
  Create an instance of `SignedInfo`
  `SPKIData`
  `createSPKIData()`
  Create an instance of `SPKIData`
  `jakarta.xml.bind.JAXBElement<byte[]>`
  `createSPKIDataSPKISexp(byte[] value)`
  Create an instance of `JAXBElement``<`
  invalid reference

      byte[]

  `>`
  `Transform`
  `createTransform()`
  Create an instance of `Transform`
  `Transforms`
  `createTransforms()`
  Create an instance of `Transforms`
  `jakarta.xml.bind.JAXBElement<String>`
  `createTransformXPath(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `X509Data`
  `createX509Data()`
  Create an instance of `X509Data`
  `jakarta.xml.bind.JAXBElement<byte[]>`
  `createX509DataX509Certificate(byte[] value)`
  Create an instance of `JAXBElement``<`
  invalid reference

      byte[]

  `>`
  `jakarta.xml.bind.JAXBElement<byte[]>`
  `createX509DataX509CRL(byte[] value)`
  Create an instance of `JAXBElement``<`
  invalid reference

      byte[]

  `>`
  `jakarta.xml.bind.JAXBElement<X509IssuerSerialType>`
  `createX509DataX509IssuerSerial(X509IssuerSerialType value)`
  Create an instance of `JAXBElement``<``X509IssuerSerialType``>`
  `jakarta.xml.bind.JAXBElement<byte[]>`
  `createX509DataX509SKI(byte[] value)`
  Create an instance of `JAXBElement``<`
  invalid reference

      byte[]

  `>`
  `jakarta.xml.bind.JAXBElement<String>`
  `createX509DataX509SubjectName(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `X509IssuerSerialType`
  `createX509IssuerSerialType()`
  Create an instance of `X509IssuerSerialType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.w3._2000._09.xmldsig

- ## Method Details

  - ### createTransforms

    public Transforms createTransforms()
    Create an instance of `Transforms`
    Returns:
      the new instance of `Transforms`

  - ### createTransform

    public Transform createTransform()
    Create an instance of `Transform`
    Returns:
      the new instance of `Transform`

  - ### createDigestMethod

    public DigestMethod createDigestMethod()
    Create an instance of `DigestMethod`
    Returns:
      the new instance of `DigestMethod`

  - ### createSignature

    public Signature createSignature()
    Create an instance of `Signature`
    Returns:
      the new instance of `Signature`

  - ### createSignedInfo

    public SignedInfo createSignedInfo()
    Create an instance of `SignedInfo`
    Returns:
      the new instance of `SignedInfo`

  - ### createCanonicalizationMethod

    public CanonicalizationMethod createCanonicalizationMethod()
    Create an instance of `CanonicalizationMethod`
    Returns:
      the new instance of `CanonicalizationMethod`

  - ### createSignatureMethod

    public SignatureMethod createSignatureMethod()
    Create an instance of `SignatureMethod`
    Returns:
      the new instance of `SignatureMethod`

  - ### createReference

    public Reference createReference()
    Create an instance of `Reference`
    Returns:
      the new instance of `Reference`

  - ### createSignatureValue

    public SignatureValue createSignatureValue()
    Create an instance of `SignatureValue`
    Returns:
      the new instance of `SignatureValue`

  - ### createKeyInfo

    public KeyInfo createKeyInfo()
    Create an instance of `KeyInfo`
    Returns:
      the new instance of `KeyInfo`

  - ### createKeyValue

    public KeyValue createKeyValue()
    Create an instance of `KeyValue`
    Returns:
      the new instance of `KeyValue`

  - ### createDSAKeyValue

    public DSAKeyValue createDSAKeyValue()
    Create an instance of `DSAKeyValue`
    Returns:
      the new instance of `DSAKeyValue`

  - ### createRSAKeyValue

    public RSAKeyValue createRSAKeyValue()
    Create an instance of `RSAKeyValue`
    Returns:
      the new instance of `RSAKeyValue`

  - ### createRetrievalMethod

    public RetrievalMethod createRetrievalMethod()
    Create an instance of `RetrievalMethod`
    Returns:
      the new instance of `RetrievalMethod`

  - ### createX509Data

    public X509Data createX509Data()
    Create an instance of `X509Data`
    Returns:
      the new instance of `X509Data`

  - ### createX509IssuerSerialType

    public X509IssuerSerialType createX509IssuerSerialType()
    Create an instance of `X509IssuerSerialType`
    Returns:
      the new instance of `X509IssuerSerialType`

  - ### createPGPData

    public PGPData createPGPData()
    Create an instance of `PGPData`
    Returns:
      the new instance of `PGPData`

  - ### createSPKIData

    public SPKIData createSPKIData()
    Create an instance of `SPKIData`
    Returns:
      the new instance of `SPKIData`

  - ### createObject

    public Object createObject()
    Create an instance of `Object`
    Returns:
      the new instance of `Object`

  - ### createManifest

    public Manifest createManifest()
    Create an instance of `Manifest`
    Returns:
      the new instance of `Manifest`

  - ### createSignatureProperties

    public SignatureProperties createSignatureProperties()
    Create an instance of `SignatureProperties`
    Returns:
      the new instance of `SignatureProperties`

  - ### createSignatureProperty

    public SignatureProperty createSignatureProperty()
    Create an instance of `SignatureProperty`
    Returns:
      the new instance of `SignatureProperty`

  - ### createDigestValue

    public jakarta.xml.bind.JAXBElement<byte[]> createDigestValue(byte[] value)
    Create an instance of `JAXBElement``<`
    invalid reference

        byte[]

    `>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<`
      invalid reference

          byte[]

      `>`

  - ### createKeyName

    public jakarta.xml.bind.JAXBElement<String> createKeyName(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createMgmtData

    public jakarta.xml.bind.JAXBElement<String> createMgmtData(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createTransformXPath

    public jakarta.xml.bind.JAXBElement<String> createTransformXPath(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createSignatureMethodHMACOutputLength

    public jakarta.xml.bind.JAXBElement<BigInteger> createSignatureMethodHMACOutputLength(BigInteger value)
    Create an instance of `JAXBElement``<``BigInteger``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``BigInteger``>`

  - ### createX509DataX509IssuerSerial

    public jakarta.xml.bind.JAXBElement<X509IssuerSerialType> createX509DataX509IssuerSerial(X509IssuerSerialType value)
    Create an instance of `JAXBElement``<``X509IssuerSerialType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``X509IssuerSerialType``>`

  - ### createX509DataX509SKI

    public jakarta.xml.bind.JAXBElement<byte[]> createX509DataX509SKI(byte[] value)
    Create an instance of `JAXBElement``<`
    invalid reference

        byte[]

    `>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<`
      invalid reference

          byte[]

      `>`

  - ### createX509DataX509SubjectName

    public jakarta.xml.bind.JAXBElement<String> createX509DataX509SubjectName(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createX509DataX509Certificate

    public jakarta.xml.bind.JAXBElement<byte[]> createX509DataX509Certificate(byte[] value)
    Create an instance of `JAXBElement``<`
    invalid reference

        byte[]

    `>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<`
      invalid reference

          byte[]

      `>`

  - ### createX509DataX509CRL

    public jakarta.xml.bind.JAXBElement<byte[]> createX509DataX509CRL(byte[] value)
    Create an instance of `JAXBElement``<`
    invalid reference

        byte[]

    `>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<`
      invalid reference

          byte[]

      `>`

  - ### createSPKIDataSPKISexp

    public jakarta.xml.bind.JAXBElement<byte[]> createSPKIDataSPKISexp(byte[] value)
    Create an instance of `JAXBElement``<`
    invalid reference

        byte[]

    `>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<`
      invalid reference

          byte[]

      `>`